Bug 1274690 - Review Request: nordugrid-arc-gangliarc - Ganglia monitoring for ARC services
Review Request: nordugrid-arc-gangliarc - Ganglia monitoring for ARC services
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Kerr Nilsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 07:37 EDT by Mattias Ellert
Modified: 2015-11-15 15:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-09 16:52:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
j.k.nilsen: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Mattias Ellert 2015-10-23 07:37:44 EDT
Spec URL: http://www.grid.tsl.uu.se/review/nordugrid-arc-gangliarc.spec
SRPM URL: http://www.grid.tsl.uu.se/review/nordugrid-arc-gangliarc-1.0.0-2.fc24.src.rpm

Description:
gangliarc provides a way to monitor ARC services through an existing ganglia
installation. Running gangliarc adds various ARC metrics to ganglia which can
then be viewed along with regular ganglia metrics for the ARC host.

Fedora Account System Username: ellert
Comment 1 Jon Kerr Nilsen 2015-10-23 07:41:00 EDT
I'll have a go at reviewing this one.
Comment 2 Jon Kerr Nilsen 2015-10-28 17:18:47 EDT
Looks good, one fail, but that's under SHOULD so I leave it to submitter to decide if it should be fixed.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nordugrid-arc-gangliarc-1.0.0-2.fc24.noarch.rpm
          nordugrid-arc-gangliarc-1.0.0-2.fc24.src.rpm
nordugrid-arc-gangliarc.noarch: W: incoherent-init-script-name gangliarc ('nordugrid-arc-gangliarc', 'nordugrid-arc-gangliarcd')
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
nordugrid-arc-gangliarc.noarch: W: incoherent-init-script-name gangliarc ('nordugrid-arc-gangliarc', 'nordugrid-arc-gangliarcd')
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
nordugrid-arc-gangliarc (rpmlib, GLIBC filtered):
    /bin/sh
    chkconfig
    ganglia-gmond
    initscripts
    nordugrid-arc-arex
    python(abi)



Provides
--------
nordugrid-arc-gangliarc:
    nordugrid-arc-gangliarc



Source checksums
----------------
http://download.nordugrid.org/packages/nordugrid-arc-gangliarc/releases/1.0.0/src/nordugrid-arc-gangliarc-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 28e78551fbb0b5bbeb99c3d78c717ec92529ec9c40e6ab61b25812fa63f4c225
  CHECKSUM(SHA256) upstream package : 28e78551fbb0b5bbeb99c3d78c717ec92529ec9c40e6ab61b25812fa63f4c225


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1274690
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Fedora Update System 2015-10-29 11:12:14 EDT
nordugrid-arc-gangliarc-1.0.0-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1d8f08342b
Comment 4 Fedora Update System 2015-10-29 11:12:20 EDT
nordugrid-arc-gangliarc-1.0.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-37a556f5a6
Comment 5 Fedora Update System 2015-10-29 11:12:21 EDT
nordugrid-arc-gangliarc-1.0.0-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-17b4a7f2e6
Comment 6 Fedora Update System 2015-10-29 11:12:25 EDT
nordugrid-arc-gangliarc-1.0.0-2.el5 has been submitted as an update to Fedora EPEL 5. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b7f714a161
Comment 7 Fedora Update System 2015-11-01 01:57:44 EST
nordugrid-arc-gangliarc-1.0.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nordugrid-arc-gangliarc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-37a556f5a6
Comment 8 Fedora Update System 2015-11-01 11:47:36 EST
nordugrid-arc-gangliarc-1.0.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nordugrid-arc-gangliarc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1d8f08342b
Comment 9 Fedora Update System 2015-11-01 11:48:28 EST
nordugrid-arc-gangliarc-1.0.0-2.el5 has been pushed to the Fedora EPEL 5 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nordugrid-arc-gangliarc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-b7f714a161
Comment 10 Fedora Update System 2015-11-01 11:50:24 EST
nordugrid-arc-gangliarc-1.0.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update nordugrid-arc-gangliarc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-0091579952
Comment 11 Fedora Update System 2015-11-01 19:26:19 EST
nordugrid-arc-gangliarc-1.0.0-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update nordugrid-arc-gangliarc'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-17b4a7f2e6
Comment 12 Fedora Update System 2015-11-09 16:52:53 EST
nordugrid-arc-gangliarc-1.0.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-11-09 19:22:55 EST
nordugrid-arc-gangliarc-1.0.0-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-11-15 14:22:15 EST
nordugrid-arc-gangliarc-1.0.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-11-15 15:25:11 EST
nordugrid-arc-gangliarc-1.0.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-11-15 15:28:30 EST
nordugrid-arc-gangliarc-1.0.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.